<div class="front_page_section front_page_section_team<?php
			$carlax_scheme = carlax_get_theme_option('front_page_team_scheme');
			if (!carlax_is_inherit($carlax_scheme)) echo ' scheme_'.esc_attr($carlax_scheme);
			echo ' front_page_section_paddings_'.esc_attr(carlax_get_theme_option('front_page_team_paddings'));
		?>"<?php
		$carlax_css = '';
		$carlax_bg_image = carlax_get_theme_option('front_page_team_bg_image');
		if (!empty($carlax_bg_image)) 
			$carlax_css .= 'background-image: url('.esc_url(carlax_get_attachment_url($carlax_bg_image)).');';
		if (!empty($carlax_css))
			echo ' style="' . esc_attr($carlax_css) . '"';
?>><?php
	// Add anchor
	$carlax_anchor_icon = carlax_get_theme_option('front_page_team_anchor_icon');	
	$carlax_anchor_text = carlax_get_theme_option('front_page_team_anchor_text');	
	if ((!empty($carlax_anchor_icon) || !empty($carlax_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_team"'
										. (!empty($carlax_anchor_icon) ? ' icon="'.esc_attr($carlax_anchor_icon).'"' : '')
										. (!empty($carlax_anchor_text) ? ' title="'.esc_attr($carlax_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_team_inner<?php
			if (carlax_get_theme_option('front_page_team_fullheight'))
				echo ' carlax-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$carlax_css = '';
			$carlax_bg_mask = carlax_get_theme_option('front_page_team_bg_mask');
			$carlax_bg_color = carlax_get_theme_option('front_page_team_bg_color');
			if (!empty($carlax_bg_color) && $carlax_bg_mask > 0)
				$carlax_css .= 'background-color: '.esc_attr($carlax_bg_mask==1
																	? $carlax_bg_color
																	: carlax_hex2rgba($carlax_bg_color, $carlax_bg_mask)
																).';';
			if (!empty($carlax_css))
				echo ' style="' . esc_attr($carlax_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_team_content_wrap content_wrap">
			<?php
			// Caption
			$carlax_caption = carlax_get_theme_option('front_page_team_caption');
			if (!empty($carlax_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><h2 class="front_page_section_caption front_page_section_team_caption front_page_block_<?php echo !empty($carlax_caption) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post($carlax_caption); ?></h2><?php
			}
		
			// Description (text)
			$carlax_description = carlax_get_theme_option('front_page_team_description');
			if (!empty($carlax_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_description front_page_section_team_description front_page_block_<?php echo !empty($carlax_description) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post(wpautop($carlax_description)); ?></div><?php
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_team_output"><?php 
				if (is_active_sidebar('front_page_team_widgets')) {
					dynamic_sidebar( 'front_page_team_widgets' );
				} else if (current_user_can( 'edit_theme_options' )) {
					if (!carlax_exists_trx_addons())
						carlax_customizer_need_trx_addons_message();
					else
						carlax_customizer_need_widgets_message('front_page_team_caption', 'ThemeREX Addons - Team');
				}
			?></div>
		</div>
	</div>
</div>