<div class="front_page_section front_page_section_woocommerce<?php
			$carlax_scheme = carlax_get_theme_option('front_page_woocommerce_scheme');
			if (!carlax_is_inherit($carlax_scheme)) echo ' scheme_'.esc_attr($carlax_scheme);
			echo ' front_page_section_paddings_'.esc_attr(carlax_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$carlax_css = '';
		$carlax_bg_image = carlax_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($carlax_bg_image)) 
			$carlax_css .= 'background-image: url('.esc_url(carlax_get_attachment_url($carlax_bg_image)).');';
		if (!empty($carlax_css))
			echo ' style="' . esc_attr($carlax_css) . '"';
?>><?php
	// Add anchor
	$carlax_anchor_icon = carlax_get_theme_option('front_page_woocommerce_anchor_icon');	
	$carlax_anchor_text = carlax_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($carlax_anchor_icon) || !empty($carlax_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($carlax_anchor_icon) ? ' icon="'.esc_attr($carlax_anchor_icon).'"' : '')
										. (!empty($carlax_anchor_text) ? ' title="'.esc_attr($carlax_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner<?php
			if (carlax_get_theme_option('front_page_woocommerce_fullheight'))
				echo ' carlax-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$carlax_css = '';
			$carlax_bg_mask = carlax_get_theme_option('front_page_woocommerce_bg_mask');
			$carlax_bg_color = carlax_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($carlax_bg_color) && $carlax_bg_mask > 0)
				$carlax_css .= 'background-color: '.esc_attr($carlax_bg_mask==1
																	? $carlax_bg_color
																	: carlax_hex2rgba($carlax_bg_color, $carlax_bg_mask)
																).';';
			if (!empty($carlax_css))
				echo ' style="' . esc_attr($carlax_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$carlax_caption = carlax_get_theme_option('front_page_woocommerce_caption');
			$carlax_description = carlax_get_theme_option('front_page_woocommerce_description');
			if (!empty($carlax_caption) || !empty($carlax_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($carlax_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($carlax_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($carlax_caption);
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($carlax_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($carlax_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post(wpautop($carlax_description));
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$carlax_woocommerce_sc = carlax_get_theme_option('front_page_woocommerce_products');
				if ($carlax_woocommerce_sc == 'products') {
					$carlax_woocommerce_sc_ids = carlax_get_theme_option('front_page_woocommerce_products_per_page');
					$carlax_woocommerce_sc_per_page = count(explode(',', $carlax_woocommerce_sc_ids));
				} else {
					$carlax_woocommerce_sc_per_page = max(1, (int) carlax_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$carlax_woocommerce_sc_columns = max(1, min($carlax_woocommerce_sc_per_page, (int) carlax_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$carlax_woocommerce_sc}"
									. ($carlax_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($carlax_woocommerce_sc_ids).'"' 
											: '')
									. ($carlax_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(carlax_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($carlax_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(carlax_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(carlax_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($carlax_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($carlax_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>