<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap<?php
				if (!carlax_is_inherit(carlax_get_theme_option('copyright_scheme')))
					echo ' scheme_' . esc_attr(carlax_get_theme_option('copyright_scheme'));
 				?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				$carlax_copyright = carlax_get_theme_option('copyright');
				if (!empty($carlax_copyright)) {
					// Replace {{Y}} or {Y} with the current year
					$carlax_copyright = str_replace(array('{{Y}}', '{Y}'), date('Y'), $carlax_copyright);
					// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
					$carlax_copyright = carlax_prepare_macros($carlax_copyright);
					// Display copyright
					echo wp_kses_post(nl2br($carlax_copyright));
				}
			?></div>
		</div>
	</div>
</div>
