<?php
/**
 * The template 'Style 1' to displaying related posts
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

$carlax_link = get_permalink();
$carlax_post_format = get_post_format();
$carlax_post_format = empty($carlax_post_format) ? 'standard' : str_replace('post-format-', '', $carlax_post_format);
?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_1 post_format_'.esc_attr($carlax_post_format) ); ?>><?php
	carlax_show_post_featured(array(
		'thumb_size' => apply_filters('carlax_filter_related_thumb_size', carlax_get_thumb_size( (int) carlax_get_theme_option('related_posts') == 1 ? 'huge' : 'big' )),
		'show_no_image' => carlax_get_theme_setting('allow_no_image'),
		'singular' => false,
		'post_info' => '<div class="post_header entry-header">'
							. '<div class="post_categories">'.wp_kses_post(carlax_get_post_categories('')).'</div>'
							. '<h6 class="post_title entry-title"><a href="'.esc_url($carlax_link).'">'.esc_html(get_the_title()).'</a></h6>'
							. (in_array(get_post_type(), array('post', 'attachment'))
									? '<span class="post_date"><a href="'.esc_url($carlax_link).'">'.wp_kses_data(carlax_get_date()).'</a></span>'
									: '')
						. '</div>'
		)
	);
?></div>