<article <?php post_class( 'post_item_single post_item_404' ); ?>>
	<div class="post_content">
		<h1 class="page_title"><?php esc_html_e( '404', 'carlax' ); ?></h1>
		<div class="page_info">
			<h1 class="page_subtitle"><?php esc_html_e('Oops...', 'carlax'); ?></h1>
			<p class="page_description"><?php echo wp_kses_post(__("We're sorry, but <br>something went wrong.", 'carlax')); ?></p>

            <?php do_action('carlax_action_search', 'normal', 'page_search', false); ?>

            <p class="page_description"><?php
                // Translators: Add the site URL to the link
                echo wp_kses_data( sprintf( __("Can't find what you need? Take a moment and do a search below or start from <a href='%s'>our homepage</a>.", 'carlax'), esc_url(home_url('/')) ) );
                ?></p>
        </div>
	</div>
</article>
