<?php
/**
 * The template for homepage posts with "Excerpt" style
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

carlax_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	carlax_blog_archive_start();

	?><div class="posts_container"><?php
	
	$carlax_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$carlax_sticky_out = carlax_get_theme_option('sticky_style')=='columns' 
							&& is_array($carlax_stickies) && count($carlax_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($carlax_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	while ( have_posts() ) { the_post(); 
		if ($carlax_sticky_out && !is_sticky()) {
			$carlax_sticky_out = false;
			?></div><?php
		}
		$carlax_part = $carlax_sticky_out && is_sticky() ? 'sticky' : 'excerpt';
		get_template_part( apply_filters('carlax_filter_get_template_part', 'content', $carlax_part), $carlax_part );
	}
	if ($carlax_sticky_out) {
		$carlax_sticky_out = false;
		?></div><?php
	}
	
	?></div><?php

	carlax_show_pagination();

	carlax_blog_archive_end();

} else {

	if ( is_search() )
		get_template_part( apply_filters('carlax_filter_get_template_part', 'content', 'none-search'), 'none-search' );
	else
		get_template_part( apply_filters('carlax_filter_get_template_part', 'content', 'none-archive'), 'none-archive' );

}

get_footer();
?>