<?php
/* One Click Demo Import support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('carlax_ocdi_theme_setup9')) {
	add_action( 'after_setup_theme', 'carlax_ocdi_theme_setup9', 9 );
	function carlax_ocdi_theme_setup9() {
		if (is_admin()) {
			add_filter( 'carlax_filter_tgmpa_required_plugins',	'carlax_ocdi_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'carlax_ocdi_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('carlax_filter_tgmpa_required_plugins',	'carlax_ocdi_tgmpa_required_plugins');
	function carlax_ocdi_tgmpa_required_plugins($list=array()) {
		if (carlax_storage_isset('required_plugins', 'one-click-demo-import')) {
			$list[] = array(
					'name' 		=> carlax_storage_get_array('required_plugins', 'one-click-demo-import'),
					'slug' 		=> 'one-click-demo-import',
					'required' 	=> false
				);
		}
		return $list;
	}
}

// Check if plugin is installed and activated
if ( !function_exists( 'carlax_exists_ocdi' ) ) {
	function carlax_exists_ocdi() {
		return class_exists( 'OCDI_Plugin' );
	}
}
?>